﻿//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//	By Nathan Gambles
//	3/28/10
//	
//	Words2Layers
//
//	Adobe After Effects Script that takes the contents of a selected text layer and creates new text layers with each word of the
//	selected text layer.  The text string is split at space characters.  
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////

{
	
app.beginUndoGroup("Words2Layers");

	var myComp = app.project.activeItem;
	var myLayer = myComp.selectedLayers;
	myLayer = myLayer[0];
	
	myLayer.name = "Original Text";
	var inx = myLayer.index;
	var myText = myLayer.text.sourceText.value;
	
	myText = myText.toString();
	myText = myText.split(" ");
	
	for ( i = 0 ; i < myText.length ; i++){
		myComp.layers.addText(myText[i]);
		myNewText = myComp.layer(1);
		layCount = myComp.numLayers;
		myNewText.moveAfter(myComp.layer(layCount));
	}

app.endUndoGroup();
}